# Generated by Django 2.2.11 on 2020-03-26 12:21

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('productos', '0003_auto_20200326_0618'),
    ]

    operations = [
        migrations.CreateModel(
            name='Producto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('claveProducto', models.CharField(max_length=45)),
                ('codigoFabricante', models.CharField(max_length=45)),
                ('nombreProducto', models.CharField(max_length=300)),
                ('descripcionProducto', models.CharField(max_length=300)),
                ('precio', models.FloatField()),
                ('moneda', models.CharField(max_length=45)),
                ('promos', models.CharField(max_length=300)),
                ('diaGarantia', models.IntegerField()),
                ('mesGarantia', models.IntegerField()),
                ('anioGarantia', models.IntegerField()),
                ('cantidadProducto', models.IntegerField()),
                ('creado', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creación')),
                ('actualizado', models.DateTimeField(auto_now=True, verbose_name='Fecha de edición')),
                ('categoria', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='producto_categoria', to='productos.Categoria')),
                ('marca', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='producto_marca', to='productos.Marca')),
            ],
            options={
                'verbose_name': 'Producto',
                'verbose_name_plural': 'Productos',
                'ordering': ['-creado'],
            },
        ),
    ]
